From c2aae7aa837ac8ac578e0cb46e72e26db08dfca4 Mon Sep 17 00:00:00 2001
From: Robert Vollmert <rob@vllmrt.net>
Date: Sat, 18 May 2019 03:37:27 +0200
Subject: [PATCH 10/13] guix: import: hackage: log when we start with a file

This helps figuring out what errors are in relation to, particularly
during recursive import.

* guix/import/hackage.scm: Log before fetching/parsing a cabal file.
---
 guix/import/hackage.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/guix/import/hackage.scm b/guix/import/hackage.scm
index 0bd9034087..405294d186 100644
--- a/guix/import/hackage.scm
+++ b/guix/import/hackage.scm
@@ -319,6 +319,10 @@ symbol 'true' or 'false'.  The value associated with other keys has to conform
 to the Cabal file format definition.  The default value associated with the
 keys \"os\", \"arch\" and \"impl\" is \"linux\", \"x86_64\" and \"ghc\"
 respectively."
+   (format (current-error-port)
+     (if port "Importing haskell package from ~a~%"
+              "Importing `~a` from hackage~%")
+     package-name)
    (match
      (if port (read-cabal-and-hash port)
               (hackage-fetch-and-hash package-name))
-- 
2.21.0

